umbrello: CPPCodeClassField Class Reference

umbrello 2.39.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CPPCodeClassField Class Reference

`#include <cppcodeclassfield.h>`

Inheritance diagram for CPPCodeClassField:

## Public Member Functions
| CPPCodeClassField (ClassifierCodeDocument *parentDoc, UMLRole *role)
| CPPCodeClassField (ClassifierCodeDocument *parentDoc, UMLAttribute *attrib)
virtual | ~CPPCodeClassField ()
QString | getFieldType ()
QString | getFieldName ()
QString | getInitialValue ()
QString | getListFieldClassName ()
Public Member Functions inherited from CodeClassField
| CodeClassField (ClassifierCodeDocument *parentDoc, UMLAttribute *attrib)
| CodeClassField (ClassifierCodeDocument *parentDoc, UMLRole *role)
void | finishInitialization ()
virtual | ~CodeClassField ()
QString | getTypeName ()
CodeClassFieldDeclarationBlock * | getDeclarationCodeBlock ()
CodeAccessorMethodList | getMethodList () const
CodeAccessorMethod * | findMethodByType (CodeAccessorMethod::AccessorType type, int role_id=-1)
bool | fieldIsSingleValue ()
ClassFieldType | getClassFieldType () const
bool | parentIsAttribute () const
QString | getListObjectType ()
bool | getWriteOutMethods () const
void | setWriteOutMethods (bool val)
int | minimumListOccurances ()
int | maximumListOccurances ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | synchronize ()
void | updateContent ()
Public Member Functions inherited from CodeParameter
| CodeParameter (ClassifierCodeDocument *doc, UMLObject *parentObj)
virtual | ~CodeParameter ()
ClassifierCodeDocument * | getParentDocument ()
UMLObject * | getParentObject ()
bool | getAbstract ()
bool | getStatic ()
QString | getName () const
Uml::Visibility::Enum | getVisibility () const
virtual void | setInitialValue (const QString &new_var)
void | setComment (CodeComment *comment)
CodeComment * | getComment ()
QString | ID () const

## Additional Inherited Members
Public Types inherited from CodeClassField
enum | ClassFieldType { Attribute , PlainAssociation , Self , Aggregation , Composition , Unknown_Assoc }
Public Slots inherited from CodeParameter
void | syncToParent ()
Signals inherited from CodeClassField
void | modified ()
Protected Member Functions inherited from CodeClassField
void | setParentUMLObject (UMLObject *obj)
QString | cleanName (const QString &name)
QString | fixInitialStringDeclValue (const QString &val, const QString &type)
void | setListClassName (const QString &className)
bool | addMethod (CodeAccessorMethod *add)
QString | getUMLObjectName (UMLObject *obj)
bool | removeMethod (CodeAccessorMethod *remove)
Protected Member Functions inherited from CodeParameter

## Constructor & Destructor Documentation

## ◆ CPPCodeClassField() [1/2]

CPPCodeClassField::CPPCodeClassField | ( | ClassifierCodeDocument * | parentDoc,
|  | UMLRole * | role )

Constructors

## ◆ CPPCodeClassField() [2/2]

CPPCodeClassField::CPPCodeClassField | ( | ClassifierCodeDocument * | parentDoc,
|  | UMLAttribute * | attrib )

## ◆ ~CPPCodeClassField()

CPPCodeClassField::~CPPCodeClassField | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getFieldName()

QString CPPCodeClassField::getFieldName | ( |  | ) |

## ◆ getFieldType()

QString CPPCodeClassField::getFieldType | ( |  | ) |

## ◆ getInitialValue()

QString CPPCodeClassField::getInitialValue | ( |  | ) |
| virtual

Get the value of m_initialValue The initial value of this code parameter

Returns
  the value of m_initialValue

Reimplemented from CodeParameter.

## ◆ getListFieldClassName()

QString CPPCodeClassField::getListFieldClassName | ( |  | ) |

Get the name of the class which holds lists, e.g. "QPtrlist" or "Vector" or "List" and so on.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/cpp/cppcodeclassfield.h
- umbrello/codegenerators/cpp/cppcodeclassfield.cpp